{% extends 'base.html.twig' %}

{% block title %}Vote{% endblock %}

{% block body %}
        <div class="pollTitle">
            <h2>{{ poll.question }}</h2> 
            <p>Created by {{ poll.user.name }}</p>
        </div>

        <div class="pollVote">
            {{ form_start(voteForm) }}
                {% for answer in voteForm.answers %}
                    <div>{{ form_widget(answer) }}{{ form_label(answer) }}</div>
                {% endfor %}

            {% for message in app.flashes('notice') %}
                <div class="flash-notice">
                    {{ message }}
                </div>
            {% endfor %}

            <button type="submit">Vote</button>
            <button><a href="{{ path('poll_show', {'id': poll.id}) }}">Results</a></button>

            {{ form_end(voteForm) }}
        </div>
{% endblock %}
